#
# Copyright 2008, Martin Owens.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from django.template import Context, loader, RequestContext
from django.http import HttpResponse
from django.shortcuts import get_object_or_404, render_to_response
from moapps.extra.ajax import jsonContextResponse

from forms import ContextAddressForm
from models import Country, Region, Town, Road


def create_address(request):
	rc = RequestContext(request)
	if request.method == 'POST':
		form = ContextAddressForm(data=request.POST)
		if form.is_valid():
			# lots to do here
			pass
			# create region (if required)
			# create town (if required)
			# create road (if required)
			# create address
			return render_to_response('contacts/address/created.html', { 'address' : None }, context_instance=rc )
	else:
		form = ContextAddressForm()
	return render_to_response('contacts/address/create.html', { 'form' : form }, context_instance=rc )
		

