from django.contrib import admin
from models import *

class OrderItemInline(admin.StackedInline):
	model = TicketOrderItem
	extra = 1
#	fieldsets = ( 'product', 'cost', 'quantity', 'performance' )

class DonationItemInline(admin.StackedInline):
	model = DonationOrderItem
	extra = 1

class OrderPaymentInline(admin.StackedInline):
	model = Payment
	extra = 1

class OrderAdmin(admin.ModelAdmin):
	inlines = [ OrderItemInline, DonationItemInline, OrderPaymentInline ]



admin.site.register(Season)
admin.site.register(SeasonPerformance)
admin.site.register(TicketProduct)
admin.site.register(Order, OrderAdmin)
admin.site.register(OrderStatus)
admin.site.register(DonationReason)
#admin.site.register(TicketOrderItem)
#admin.site.register(PhysicalProduct)
#admin.site.register(ServiceProduct)
