#
# Copyright 2008, Martin Owens.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from django import template
from django.template import Context, loader
from django.http import HttpResponse
from django.shortcuts import get_object_or_404, render_to_response
from django.views.generic.list_detail import object_list
#from moapps.contacts.models import Person, Region
#from moapps.contacts.forms import RegionForm

from models import CommunityGroup

import sys

def index(request):
	queryset = CommunityGroup._default_manager.all()
	return object_list(request, queryset=queryset, template_name='community/index.html' )


def updates(request):
	#cform = RegionForm()
	return render_to_response('community/updates.html', { }, context_instance=template.RequestContext(request))


def unsign(request):
	return render_to_response('community/unsign.html', { }, context_instance=template.RequestContext(request))


def unsign_email(request):
	return render_to_response('community/unsign_sent.html', { }, context_instance=template.RequestContext(request))


def unsign_process(request):
	return render_to_response('community/unsign_complete.html', { }, context_instance=template.RequestContext(request))


