# This module contains methods that django should inlcude into their default install ;-)

#def statueObjects(dict_list, object_class, parent_name=None):
#	"""
#	Takes a post input and uses one of the values as a basis for creating objects.
#	"""
#	result = {}
#	links = {}
#	for id in dict_list.keys():
#		d = dict_list[id]
#		if d.has_key(parent_name):
#			parent = del(d[parent_name])
#			links[id] = parent
#		result[id] = object_class(d**)
#
#	for id in links.keys():
#		result[id].set(parent_name)


def statueInput(post):
	result = {}
	for name in post.keys():
		structurise(name, post[name], result)
	return result


def structurise(name, value, structure=None, sub=False):
	"""
	Splits an input variable into parts and structurises those
	parts so they relate to each other.
	"""

	if name.find('.') > -1:
		parts = name.split('.')
		part = parts[0]
		remainder = '.'.join(parts[1:])
		if part.isdigit():
			if type(structure) is not list:
				structure = []
			part = int(part)
		else:
			if type(structure) is not dict:
				structure = {}

		substructure = None
		try:
			substructure = structure[part]
		except:
			pass

		structure[part] = structurise( remainder, value, substructure, True )
		return structure

	elif sub:
		if name.isdigit():
			if type(structure) is not list:
				structure = []
			name = int(name)
			if name > len(structure):
				for i in range(0, name+1):
					structure.append(None)
		else:
			if type(structure) is not dict:
				structure = {}

		print "Setting value named %s to %s" % (str(name), str(value))
		structure[name] = value

		return structure

	return None





