from django.contrib import admin
from models import *

class ParagraphInline(admin.StackedInline):
    model = NewsParagraph
    extra = 5

class NewsAdmin(admin.ModelAdmin):
    inlines = [ ParagraphInline ]

admin.site.register(NewsItem, NewsAdmin)

